Express Route Circuit Peerings - Get
Gets the specified peering for the express route circuit.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}?api-version=2025-03-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
circuit
|
path | True |
string |
The name of the express route circuit. |
|
peering
|
path | True |
string |
The name of the peering. |
|
resource
|
path | True |
string |
The name of the resource group. |
|
subscription
|
path | True |
string |
The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request successful. The operation returns the resulting ExpressRouteCircuitPeering resource. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get ExpressRouteCircuit Peering
Sample request
Sample response
{
"name": "MicrosoftPeering",
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName/peerings/MicrosoftPeering",
"etag": "W/\"b2a25b98-2e6d-4d46-87f2-089de5f6fdf9\"",
"properties": {
"provisioningState": "Succeeded",
"peeringType": "MicrosoftPeering",
"azureASN": 12076,
"peerASN": 100,
"primaryPeerAddressPrefix": "123.0.0.0/30",
"secondaryPeerAddressPrefix": "123.0.0.4/30",
"primaryAzurePort": "A51-TEST-06GMR-CIS-1-PRI-A",
"secondaryAzurePort": "A51-TEST-06GMR-CIS-2-SEC-A",
"state": "Enabled",
"vlanId": 300,
"gatewayManagerEtag": "103",
"lastModifiedBy": "Customer",
"microsoftPeeringConfig": {
"advertisedPublicPrefixes": [
"123.1.0.0/24"
],
"advertisedCommunities": [],
"advertisedPublicPrefixesState": "ValidationNeeded",
"customerASN": 23,
"legacyMode": 0,
"routingRegistryName": "ARIN"
},
"ipv6PeeringConfig": {
"primaryPeerAddressPrefix": "3FFE:FFFF:0:CD30::/126",
"secondaryPeerAddressPrefix": "3FFE:FFFF:0:CD30::4/126",
"state": "Enabled",
"microsoftPeeringConfig": {
"advertisedPublicPrefixes": [
"3FFE:FFFF:0:CD31::/120"
],
"advertisedCommunities": [],
"advertisedPublicPrefixesState": "ValidationNeeded",
"customerASN": 23,
"legacyMode": 0,
"routingRegistryName": "ARIN"
}
},
"routeFilter": {
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/routeFilters/filterName"
}
},
"type": "Microsoft.Network/expressRouteCircuits/peerings"
}
Definitions
| Name | Description |
|---|---|
|
Advertised |
Prefix properties required to perform validation using openssl signature. |
|
Advertised |
Advertised Public Prefix State that denotes if the prefix is validated or not. |
|
Circuit |
Express Route Circuit connection state. |
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
|
Express |
Express Route Circuit Connection in an ExpressRouteCircuitPeering resource. |
|
Express |
Peering in an ExpressRouteCircuit resource. |
|
Express |
The advertised public prefix state of the Peering resource. |
|
Express |
Specifies the peering configuration. |
|
Express |
The state of peering. |
|
Express |
Contains stats associated with the peering. |
|
Express |
The ID of the ExpressRouteConnection. |
|
Express |
The state of peering. |
|
Express |
The peering type. |
|
Ipv6Circuit |
IPv6 Circuit Connection properties for global reach. |
|
Ipv6Express |
Contains IPv6 peering config. |
|
Peer |
Peer Express Route Circuit Connection in an ExpressRouteCircuitPeering resource. |
|
Provisioning |
The current provisioning state. |
|
Sub |
Reference to another subresource. |
AdvertisedPublicPrefixProperties
Prefix properties required to perform validation using openssl signature.
| Name | Type | Description |
|---|---|---|
| prefix |
string |
Advertised Public Prefix. |
| signature |
string |
Signed string generated by encrypting validationId with a private key. |
| validationId |
string |
Validation string that contains circuit peering info. |
| validationState |
Advertised Public Prefix State that denotes if the prefix is validated or not. |
AdvertisedPublicPrefixPropertiesValidationState
Advertised Public Prefix State that denotes if the prefix is validated or not.
| Value | Description |
|---|---|
| NotConfigured | |
| Configuring | |
| Configured | |
| ValidationNeeded | |
| ValidationFailed | |
| ManualValidationNeeded | |
| AsnValidationFailed | |
| CertificateMissingInRoutingRegistry | |
| InvalidSignatureEncoding | |
| SignatureVerificationFailed |
CircuitConnectionStatus
Express Route Circuit connection state.
| Value | Description |
|---|---|
| Connected | |
| Connecting | |
| Disconnected |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
Cloud error body. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
ExpressRouteCircuitConnection
Express Route Circuit Connection in an ExpressRouteCircuitPeering resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
The name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.addressPrefix |
string |
/29 IP address space to carve out Customer addresses for tunnels. |
| properties.authorizationKey |
string |
The authorization key. |
| properties.circuitConnectionStatus |
Express Route Circuit connection state. |
|
| properties.expressRouteCircuitPeering |
Reference to Express Route Circuit Private Peering Resource of the circuit initiating connection. |
|
| properties.ipv6CircuitConnectionConfig |
IPv6 Address PrefixProperties of the express route circuit connection. |
|
| properties.peerExpressRouteCircuitPeering |
Reference to Express Route Circuit Private Peering Resource of the peered circuit. |
|
| properties.provisioningState |
The provisioning state of the express route circuit connection resource. |
|
| type |
string |
Type of the resource. |
ExpressRouteCircuitPeering
Peering in an ExpressRouteCircuit resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
The name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.azureASN |
integer (int32) |
The Azure ASN. |
| properties.connections |
The list of circuit connections associated with Azure Private Peering for this circuit. |
|
| properties.expressRouteConnection |
The ExpressRoute connection. |
|
| properties.gatewayManagerEtag |
string |
The GatewayManager Etag. |
| properties.ipv6PeeringConfig |
The IPv6 peering configuration. |
|
| properties.lastModifiedBy |
string |
Who was the last to modify the peering. |
| properties.microsoftPeeringConfig |
The Microsoft peering configuration. |
|
| properties.peerASN |
integer (int64) minimum: 1maximum: 4294967295 |
The peer ASN. |
| properties.peeredConnections |
The list of peered circuit connections associated with Azure Private Peering for this circuit. |
|
| properties.peeringType |
The peering type. |
|
| properties.primaryAzurePort |
string |
The primary port. |
| properties.primaryPeerAddressPrefix |
string |
The primary address prefix. |
| properties.provisioningState |
The provisioning state of the express route circuit peering resource. |
|
| properties.routeFilter |
The reference to the RouteFilter resource. |
|
| properties.secondaryAzurePort |
string |
The secondary port. |
| properties.secondaryPeerAddressPrefix |
string |
The secondary address prefix. |
| properties.sharedKey |
string |
The shared key. |
| properties.state |
The peering state. |
|
| properties.stats |
The peering stats of express route circuit. |
|
| properties.vlanId |
integer (int32) |
The VLAN ID. |
| type |
string |
Type of the resource. |
ExpressRouteCircuitPeeringAdvertisedPublicPrefixState
The advertised public prefix state of the Peering resource.
| Value | Description |
|---|---|
| NotConfigured | |
| Configuring | |
| Configured | |
| ValidationNeeded |
ExpressRouteCircuitPeeringConfig
Specifies the peering configuration.
| Name | Type | Description |
|---|---|---|
| advertisedCommunities |
string[] |
The communities of bgp peering. Specified for microsoft peering. |
| advertisedPublicPrefixInfo |
List of Prefix information required to perform validation. |
|
| advertisedPublicPrefixes |
string[] |
The reference to AdvertisedPublicPrefixes. |
| advertisedPublicPrefixesState |
The advertised public prefix state of the Peering resource. |
|
| customerASN |
integer (int32) |
The CustomerASN of the peering. |
| legacyMode |
integer (int32) |
The legacy mode of the peering. |
| routingRegistryName |
string |
The RoutingRegistryName of the configuration. |
ExpressRouteCircuitPeeringState
The state of peering.
| Value | Description |
|---|---|
| Disabled | |
| Enabled |
ExpressRouteCircuitStats
Contains stats associated with the peering.
| Name | Type | Description |
|---|---|---|
| primarybytesIn |
integer (int64) |
The Primary BytesIn of the peering. |
| primarybytesOut |
integer (int64) |
The primary BytesOut of the peering. |
| secondarybytesIn |
integer (int64) |
The secondary BytesIn of the peering. |
| secondarybytesOut |
integer (int64) |
The secondary BytesOut of the peering. |
ExpressRouteConnectionId
The ID of the ExpressRouteConnection.
| Name | Type | Description |
|---|---|---|
| id |
string |
The ID of the ExpressRouteConnection. |
ExpressRoutePeeringState
The state of peering.
| Value | Description |
|---|---|
| Disabled | |
| Enabled |
ExpressRoutePeeringType
The peering type.
| Value | Description |
|---|---|
| AzurePublicPeering | |
| AzurePrivatePeering | |
| MicrosoftPeering |
Ipv6CircuitConnectionConfig
IPv6 Circuit Connection properties for global reach.
| Name | Type | Description |
|---|---|---|
| addressPrefix |
string |
/125 IP address space to carve out customer addresses for global reach. |
| circuitConnectionStatus |
Express Route Circuit connection state. |
Ipv6ExpressRouteCircuitPeeringConfig
Contains IPv6 peering config.
| Name | Type | Description |
|---|---|---|
| microsoftPeeringConfig |
The Microsoft peering configuration. |
|
| primaryPeerAddressPrefix |
string |
The primary address prefix. |
| routeFilter |
The reference to the RouteFilter resource. |
|
| secondaryPeerAddressPrefix |
string |
The secondary address prefix. |
| state |
The state of peering. |
PeerExpressRouteCircuitConnection
Peer Express Route Circuit Connection in an ExpressRouteCircuitPeering resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
The name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.addressPrefix |
string |
/29 IP address space to carve out Customer addresses for tunnels. |
| properties.authResourceGuid |
string |
The resource guid of the authorization used for the express route circuit connection. |
| properties.circuitConnectionStatus |
Express Route Circuit connection state. |
|
| properties.connectionName |
string |
The name of the express route circuit connection resource. |
| properties.expressRouteCircuitPeering |
Reference to Express Route Circuit Private Peering Resource of the circuit. |
|
| properties.peerExpressRouteCircuitPeering |
Reference to Express Route Circuit Private Peering Resource of the peered circuit. |
|
| properties.provisioningState |
The provisioning state of the peer express route circuit connection resource. |
|
| type |
string |
Type of the resource. |
ProvisioningState
The current provisioning state.
| Value | Description |
|---|---|
| Succeeded | |
| Updating | |
| Deleting | |
| Failed |
SubResource
Reference to another subresource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |